MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027760Community[OCCT] OCCT:Modeling Algorithmspublic2016-08-09 17:382017-09-29 16:30
ReporterMarkus 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0027760: [regression] BRepAlgoAPI_Common returns empty result
DescriptionIn OCCT 7.0, the BRepAlgoAPI_Common operation returns an empty compound although all checks say that the arguments are valid.

In OCCT 6.9.1, the result is a valid solid.
Steps To Reproducepload ALL

restore leid.brep l

explode l

whatis l_1

whatis l_2

tolerance l_1

tolerance l_2

checkshape l_1

checkshape l_2

brunparallel 1

bopcheck l_1

bopcheck l_2

bopargcheck l_1 l_2 -O #F

bop l_1 l_2

bopcommon r

whatis r

explode r

TagsNo tags attached.
Test case numberbugs modalg_7 bug27760
Attached Files? file icon leid.brep (1,329,350 bytes) 2016-08-09 17:38

- Relationships
related to 0024799closedbugmaster [regression] BRepAlgoAPI_Common returns empty result 
related to 0027936closedbugmaster [regression] BRepAlgoAPI_Common returns empty result for a solid and a face 

-  Notes
(0069580)
git (administrator)
2017-08-18 14:48

Branch CR27760 has been created by apv.

SHA-1: 1c87103c0e270a4caabcbb6f420f56bd15ec5cc7


Detailed log of new commits:

Author: apv
Date: Fri Aug 18 14:48:13 2017 +0300

    0027760: [regression] BRepAlgoAPI_Common returns empty result
(0069581)
apv (tester)
2017-08-18 14:50

Dear BugMaster,

Problem described in issue is not reproduced on current state of OCCT.
Problem has been solved in OCCT7.2.0.

Please integrate branch CR27760 into the occt git-repository master.
(0069894)
git (administrator)
2017-08-25 16:13

Branch CR27760 has been deleted by kgv.

SHA-1: 1c87103c0e270a4caabcbb6f420f56bd15ec5cc7

- Related Changesets
occt: master 569c9582
Timestamp: 2017-08-18 11:48:13
Author: apv
Committer: bugmaster
Details ] Diff ]
0027760: [regression] BRepAlgoAPI_Common returns empty result

Problem is not reproduced on current master. Issue must be closed on 7.2.0.
Test case was added only.
add - tests/bugs/modalg_7/bug27760 Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-08-09 17:38 Timo New Issue
2016-08-09 17:38 Timo Assigned To => msv
2016-08-09 17:38 Timo File Added: leid.brep
2016-08-09 17:39 Timo Relationship added related to 0024799
2016-10-06 13:51 Timo Issue cloned: 0027936
2016-10-06 13:51 Timo Relationship added related to 0027936
2016-10-28 12:16 msv Target Version 7.1.0 => 7.2.0
2017-05-31 15:39 Timo Reporter Timo => Markus
2017-07-21 11:16 msv Target Version 7.2.0 => 7.3.0
2017-08-18 14:48 git Note Added: 0069580
2017-08-18 14:49 apv Assigned To msv => apv
2017-08-18 14:49 apv Status new => feedback
2017-08-18 14:50 apv Test case number => bugs modalg_7 bug27760
2017-08-18 14:50 apv Note Added: 0069581
2017-08-18 14:50 apv Assigned To apv => bugmaster
2017-08-18 14:50 apv Status feedback => tested
2017-08-18 14:50 apv Resolution open => fixed
2017-08-18 14:50 apv Fixed in Version => 7.2.0
2017-08-24 16:59 bugmaster Target Version 7.3.0 => 7.2.0
2017-08-25 15:02 bugmaster Changeset attached => occt master 569c9582
2017-08-25 15:02 bugmaster Status tested => verified
2017-08-25 16:13 git Note Added: 0069894
2017-09-29 16:30 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker